#ifdef _WIN32
#include <windows.h>
#include "os2fake.h"
#else
#define INCL_DOS
#include <os2.h>
#endif
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#define TRACE 

ULONG DeleteFiles(PSZ szFiles)
{
   HDIR hDir         = HDIR_CREATE;
   FILEFINDBUF3 fbuf = {0};
   ULONG ulResBufLen = sizeof(FILEFINDBUF3);
   ULONG ulFindCount = 1;
   APIRET rc;
   CHAR szFileDir[CCHMAXPATH]={0};
   CHAR szFileName[CCHMAXPATH]={0};
   ULONG ulDeleted=0;
   
   if (strstr(szFiles,"\\") != NULL)
   {       
     PSZ pszTemp;

     strcpy(szFileDir,szFiles);

     pszTemp=szFileDir+strlen(szFileDir)-1;

     while (*pszTemp != '\\')
     {
       *pszTemp=0;
       pszTemp--;
     }
   }

#ifdef TRACE
   printf("dir = %s\n",szFileDir);
#endif

   rc=DosFindFirst(szFiles,
                &hDir,
                FILE_NORMAL,
                &fbuf,
                ulResBufLen,
                &ulFindCount,
                FIL_STANDARD);
#ifdef TRACE
   printf("DosFindFirst rc = %d\n",rc);
#endif


   do
   {
     sprintf(szFileName,"%s%s",szFileDir,fbuf.achName);

     rc=DosDelete(szFileName);

     if (rc ==0)
     {
       ulDeleted++;
     }
    
#ifdef TRACE
     printf("%s %s rc=%d\n",fbuf.achName, (!rc) ? "deleted" : "not deleted",rc);
#endif    
     rc=DosFindNext(hDir,
                    &fbuf,
                    ulResBufLen,
                    &ulFindCount);

   }
   while (0 == rc);

   DosFindClose(hDir);

   return ulDeleted;
}

int main(void)
{
  DeleteFiles("C:\\*.png");
}